
/** When your routing operation is too long, you can split it into small modules**/

import Layout from "@/layout/index.vue";

const activityRouter = [{
    path: '/activity',
    component: Layout,
    redirect: '/activity/rule',
    name: 'activity',
    meta: {
        title: '运营活动',
        icon: 'Box'
    },
    children: [
        {
            path: '/activity/rule',
            component: () => import('@/views/activity/rule/index.vue'),
            name: 'rule',
            meta: { title: '活动规则', icon: 'Timer'}
        },
        {
            path: '/activity/template',
            component: () => import('@/views/activity/template/index.vue'),
            name: 'template',
            meta: { title: '活动模版', icon: 'Apple'}
        }
    ]
}]

export default activityRouter
